Loading...
Searching...
No Matches
version.hpp File Reference

## Description

Provides macros describing the bsoncxx library version.

Go to the source code of this file.

## Macros

#define | BSONCXX_VERSION_EXTRA
| This library's API version number suffix if any as raw text (e.g. -extra).
#define | BSONCXX_VERSION_MAJOR
| This library's API major version number as an integer literal (e.g. 1).
#define | BSONCXX_VERSION_MINOR
| This library's API minor version number as an integer literal (e.g. 2).
#define | BSONCXX_VERSION_PATCH
| This library's API patch version number as an integer literal (e.g. 3).
#define | BSONCXX_VERSION_STRING
| This library's full version number as a string literal (e.g. "1.2.3-extra").

## Macro Definition Documentation

## BSONCXX_VERSION_EXTRA

#define BSONCXX_VERSION_EXTRA

This library's API version number suffix if any as raw text (e.g. -extra).

This value is derived from the BUILD_VERSION variable during configuration.

## BSONCXX_VERSION_MAJOR

#define BSONCXX_VERSION_MAJOR

This library's API major version number as an integer literal (e.g. 1).

This value is derived from the BUILD_VERSION variable during configuration.

## BSONCXX_VERSION_MINOR

#define BSONCXX_VERSION_MINOR

This library's API minor version number as an integer literal (e.g. 2).

This value is derived from the BUILD_VERSION variable during configuration.

## BSONCXX_VERSION_PATCH

#define BSONCXX_VERSION_PATCH

This library's API patch version number as an integer literal (e.g. 3).

This value is derived from the BUILD_VERSION variable during configuration.

## BSONCXX_VERSION_STRING

#define BSONCXX_VERSION_STRING

This library's full version number as a string literal (e.g. "1.2.3-extra").

This value is derived from the BUILD_VERSION variable during configuration.